Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 188130 - Installer doesn't show progress of script execution
Installer doesn't show progress of script execution
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
bzcl34nup
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-06 06:18 EDT by David Howells
Modified: 2008-05-06 11:45 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 11:45:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Howells 2006-04-06 06:18:55 EDT
I upgraded my desktop machine to FC5. Once it had installed all the files, and  
the progress bar reached the end, the installer just sat there, apparently  
doing nothing, but not offering the reboot option.  
  
I switched to the shell, and looked at what was going on underneath, and it  
looked like a bunch of processes were stuck in the D-state.  Attaching strace  
to the installer, however, showed that it was running various scripts - though  
no evidence of this was displayed on the installer screen.  
  
The installer spent about an _hour_ in this state.  Until I actually went and  
probed it, I was wondering if the installer was stuck, and when I went to the 
shell and ran ps a few times, my first impression was that the machine had 
crashed or had deadlocked in some way.  
  
Can we please show the script execution state in the installer window, so  
it's obvious progress is being made?
Comment 1 Jeremy Katz 2006-04-10 14:10:30 EDT
This is actually caused by the fact that we don't take into account the
"cleanup" step where the old package is removed.
Comment 2 Jacek Pliszka 2006-04-23 18:53:43 EDT
I would love to have it too ...

We have kickstart files where local configuration is done in %post scripts.

Usually it takes more than the rest of the installation itself ...
Comment 3 Red Hat Bugzilla 2007-08-21 01:23:15 EDT
User pnasrat@redhat.com's account has been closed
Comment 4 Bug Zapper 2008-04-03 22:34:52 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 5 Bug Zapper 2008-05-06 11:45:42 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.